DestinationListHandler::TransportAddress Struct Reference

`#include <oqueue.h>`

## Public Member Functions

| TransportAddress (InetAddress na, tpport_t dtp, tpport_t ctp)
const InetAddress & | getNetworkAddress () const
tpport_t | getDataTransportPort () const
tpport_t | getControlTransportPort () const

## Public Attributes

InetAddress | networkAddress
tpport_t | dataTransportPort
tpport_t | controlTransportPort

## Constructor & Destructor Documentation

## TransportAddress()

DestinationListHandler::TransportAddress::TransportAddress | ( | InetAddress | na,
|  | tpport_t | dtp,
|  | tpport_t | ctp
| ) |  |

inline

## Member Function Documentation

## getControlTransportPort()

tpport_t DestinationListHandler::TransportAddress::getControlTransportPort | ( |  | ) | const

inline

## getDataTransportPort()

tpport_t DestinationListHandler::TransportAddress::getDataTransportPort | ( |  | ) | const

inline

## getNetworkAddress()

const InetAddress& DestinationListHandler::TransportAddress::getNetworkAddress | ( |  | ) | const

inline

## Member Data Documentation

## controlTransportPort

tpport_t DestinationListHandler::TransportAddress::controlTransportPort

## dataTransportPort

tpport_t DestinationListHandler::TransportAddress::dataTransportPort

## networkAddress

InetAddress DestinationListHandler::TransportAddress::networkAddress

The documentation for this struct was generated from the following file:

- oqueue.h